Rygel.UpdatableObject – librygel-server Reference Manual

# UpdatableObject

## Object Hierarchy:

## Description:

public interface UpdatableObject : MediaObject

This interface should be implemented by 'updatable' objects - ones that allow modifying their own metadata in some persistent storage.

Namespace: Rygel
Package: librygel-server

## Content:

### Methods:

- public abstract async void commit () throws `Error`
  Commit changes in MediaObject to persistent storage.

### Inherited Members:

All known members inherited from class Rygel.MediaObject

- id
- ref_id
- upnp_class
- modified
- object_update_id

- parent
- parent_ref
- title
- constructed
- get_writable

- get_writables
- compare_string_props
- compare_int_props
- uris
- parent_ptr

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count